IFilter (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.utils

## Interface IFilter

- All Superinterfaces:
    java.lang.AutoCloseable, SharedCloseable
  All Known Implementing Classes:
    AlwaysPresentFilter, BloomFilter

      public interface IFilter
      extends SharedCloseable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IFilter.FilterKey`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(IFilter.FilterKey key)`
    `void` | `clear()`
    `void` | `close()`
    `boolean` | `isPresent(IFilter.FilterKey key)`
    `long` | `offHeapSize()` Returns the amount of memory in bytes used off heap.
    `long` | `serializedSize()`
    `IFilter` | `sharedCopy()`

    - ### Methods inherited from interface org.apache.cassandra.utils.concurrent.SharedCloseable

      `close`

- - ### Method Detail

    - #### add

          void add(IFilter.FilterKey key)

    - #### isPresent

          boolean isPresent(IFilter.FilterKey key)

    - #### clear

          void clear()

    - #### serializedSize

          long serializedSize()

    - #### close

          void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### sharedCopy

          IFilter sharedCopy()

      Specified by:
        `sharedCopy` in interface `SharedCloseable`
      Returns:
        a new instance of the object representing the same state and backed by the same underlying resources. Coordinates with the original (and other instances) when the underlying resource should be closed. Throws an exception if the shared resource has already been closed.

    - #### offHeapSize

          long offHeapSize()

      Returns the amount of memory in bytes used off heap.
      Returns:
        the amount of memory in bytes used off heap

Copyright © 2018 The Apache Software Foundation